netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
file.h File Reference
`#include <sys/types.h>`

Go to the source code of this file.

## Data Structures
struct | papfile

## Macros
#define | PF_BOT (1<<0)
#define | PF_EOF (1<<1)
#define | PF_QUERY (1<<2)
#define | PF_STW (1<<3)
#define | PF_TRANSLATE (1<<4)
#define | PF_FONT_QUERY (1<<5)
#define | CONSUME(pf, len)
#define | PF_MORESPACE 1024

## Functions
int | markline (struct papfile *, char **, int *, int *)
void | morespace (struct papfile *, const char *, int)
void | append (struct papfile *, const char *, int)
void | spoolerror (struct papfile *, char *)
void | spoolreply (struct papfile *, char *)

## Macro Definition Documentation

## ◆ CONSUME

#define CONSUME | ( |  | pf,
|  |  | len )

Value:
{ (pf)->pf_data += (len); \
(pf)->pf_datalen -= (len); \
if ((pf)->pf_datalen <= 0) { \
(pf)->pf_data = (pf)->pf_buf; \
(pf)->pf_datalen = 0; \
} \
}

## ◆ PF_BOT

#define PF_BOT (1<<0)

## ◆ PF_EOF

#define PF_EOF (1<<1)

## ◆ PF_FONT_QUERY

#define PF_FONT_QUERY (1<<5)

## ◆ PF_MORESPACE

#define PF_MORESPACE 1024

## ◆ PF_QUERY

#define PF_QUERY (1<<2)

## ◆ PF_STW

#define PF_STW (1<<3)

## ◆ PF_TRANSLATE

#define PF_TRANSLATE (1<<4)

## Function Documentation

## ◆ append()

void append | ( | struct papfile * | pf,
|  | const char * | data,
|  | int | len )

## ◆ markline()

int markline | ( | struct papfile * | pf,
|  | char ** | start,
|  | int * | linelength,
|  | int * | crlflength )

## ◆ morespace()

void morespace | ( | struct papfile * | pf,
|  | const char * | data,
|  | int | len )

## ◆ spoolerror()

void spoolerror | ( | struct papfile * | out,
|  | char * | str )

## ◆ spoolreply()

void spoolreply | ( | struct papfile * | out,
|  | char * | str )